The Straight and Narrow - quest completed, still appearing on map
Closed, ResolvedPublic

Description

What is happening:
After completing the quest The Straight and Narrow (by deciding not to destroy pumpkin farm - just stating, "No" in dialog), the quest was completed, but in journal the last part is still active and exclamation mark appears on the map and above Pumpkin Pie character. Speaking with this character gives no options for dialogue.

What should be happening:
Quest should be closed and appearance on the map should be gone.

Steps to reproduce the issue:
Follow the quest, speak to Beet immediately after receiving the quest and answer "No".

Reproduced by:

Screenshots:
https://imgur.com/a/QctY9Vz

Jamis created this task.Jan 19 2019, 1:25 PM

The NPC 'Old Quest Marker Fix' in Cantermore (just to the side of the train station entrance) can fix some issues like this. Please try speaking to him, and see if he is able to resolve this issue; if not, please respond to this ticket again to let us know.

Jamis added a comment.Mar 6 2019, 8:54 AM

Already tried, but there is no option for fixing this quest. The options that 'Old Quest Marker Fix' offers:

I've still got quest markers after helping
Fission Mailed is complete, but I still see a marker over Sugar and Spice.
I can't see the ice and snow in Ponydale
Still seeing a marker on Prince Overwatch?
Chlorophiliac Klondike's marker left.
Pyrite's package
Mindless Violins
Supplying the Hospital Finished
Graduation finished, but seeing doubles!
Are you a Princess Too? leftover objective
Equestrian Werepony quest active
Rehersal Roundup leftover markers
We'll Fix it in Post
The Good Egg
Safely Home
Can you Hear Me Now?
Grownup and still seeing foals and no TenSeven
None at all

Rattletrap closed this task as Resolved.Jun 1 2019, 10:43 PM

A fix for this issue has been implemented. If you have completed the quest, Old Quest Marker Fix has two options for fixing Straight and Narrow. After the next server reset, check with him. There should be an option for Straight and Narrow. Fixing Pumpkin's marker. That should take care of the issue.

Jamis added a comment.Jun 3 2019, 12:52 PM

I can confirm - it worked. Thanks for fixing this!